CS02

The Bank List feature allows you to view and select from a comprehensive list of banks for performing transactions.

Whether you're adding a new beneficiary, transferring funds, or verifying details, this list ensures you can easily find the bank and corresponding information such as IFSC codes.

It simplifies the process of selecting the right bank, ensuring your transactions are routed correctly to the intended financial institution.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Headers Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code is 1 (Fixed)MY
X-Ipay-Client-IdStringUnique Client IDMY
X-Ipay-Client-SecretStringUnique secret keyMY
X-Ipay-Endpoint-IpStringEnd Customer IP AddressMN

Parameter NameTypeRequirementDescription
nameStringMandatoryUser's Name
mobileNumberStringMandatoryUser Mobile Number
scenarioNoStringMandatoryReceived in CS01 Response
dobStringMandatoryUser's date of Birth
inquiryPurposeCodeStringMandatoryPurpose of enquiry. Refer below table for details
genderStringMandatoryGender of user. It will be M,F or T
addressArrayMandatoryAddress array of user
addressLine1StringMandatoryLine 1 of user's address
addressLine2StringOptionalLine 2 of user's address
localityStringOptionalLocality of the user
cityStringOptionalUser's city
stateStringMandatoryUser's state of residence
postalStringMandatoryUser's residence postal code
sanctionedAmountStringMandatorySanctioned Amount
overdueAmountStringMandatoryOverdue Amount
currentBalanceStringMandatorycurrent balance
closeAccountStringMandatoryWhether the account is closed or not. It will be Y or N
increaseLimitStringMandatoryIncreased Limit
utilizationStringMandatoryUtilization to be done
taxIdNumberStringMandatoryUser Pan Number
latitudeStringMandatoryLatitude of the transaction
longitudeStringMandatoryLongitude of the transaction
externalRefStringMandatoryUnique transaction ID to be entered by client

Sample Request

curl --location 'https://api.instantpay.in/identity/creditScoreSimulator/scoreSimulation' \
--header 'X-Ipay-Endpoint-Ip: {{endpointIP}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Auth-Code: 1' \
--header 'Content-Type: application/json' \
--data '{
    "name": "RAHUL NEGI",
    "mobileNumber": "9876543210",
    "inquiryPurposeCode": "01",
    "scenarioNo": "18488294",
    "dob": "1990-12-27",
    "gender": "M",
    "address": {
        "addressLine1": "B1/A5, MCIE",
        "addressLine2": "",
        "locality": "",
        "city": "New Delhi",
        "state": "MH",
        "postal": "110076"
    },
    "sanctionedAmount": "1000",
    "overdueAmount": "5000",
    "currentBalance": "9000",
    "closeAccount": "Y",
    "increaseLimit": "2000",
    "utilization": "10",
    "taxIdNumber": "ABCDE1234F",
    "latitude": "11.10",
    "longitude": "26.91",
    "externalRef": "1770811797"
}'
POST /identity/creditScoreSimulator/scoreSimulation HTTP/1.1
Host: api.instantpay.in
X-Ipay-Endpoint-Ip: {{endpointIP}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Auth-Code: 1
Content-Type: application/json
Content-Length: 688

{
    "name": "RAHUL NEGI",
    "mobileNumber": "9876543210",
    "inquiryPurposeCode": "01",
    "scenarioNo": "18488294",
    "dob": "1990-12-27",
    "gender": "M",
    "address": {
        "addressLine1": "B1/A5 MCIE ",
        "addressLine2": "",
        "locality": "",
        "city": "New Delhi",
        "state": "DL",
        "postal": "110076"
    },
    "sanctionedAmount": "1000",
    "overdueAmount": "5000",
    "currentBalance": "9000",
    "closeAccount": "Y",
    "increaseLimit": "2000",
    "utilization": "10",
    "taxIdNumber": "ABCDE1234F",
    "latitude": "11.10",
    "longitude": "26.91",
    "externalRef": "1770811797"
}

Sample Response

{
  "statuscode": "TXN",
  "actcode": null,
  "status": "Transaction Successful",
  "data": {
    "poolReferenceId": "1260211105621HXPCU",
    "pool": {
      "openingBal": "999.28",
      "mode": "DR",
      "amount": "20.00",
      "closingBal": "979.28"
    },
    "scoreSimulationData": {
      "decision": "Increase by 23 points"
    }
  },
  "timestamp": "2026-02-11 16:26:21",
  "ipay_uuid": "h000a10dd27c-c9d6-4276-8a57-53b7c2500e45-JUU0wSmMtXWq",
  "orderid": "1260211105621HXPCU",
  "environment": "SANDBOX",
  "internalCode": null
}
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json